# Record TARPAbstractHeader

Description
Hierarchy
Fields
Methods
Properties

## Unit

nettypes

## Declaration

`type TARPAbstractHeader = record`

## Description

ARP

## Overview

### Fields

`Hardware_Type: uint16;`
`Protocol_Type: uint16;`
`Hardware_Address_Length: uint8;`
`Protocol_Address_Length: uint8;`
`Operation: uint16;`
`Source_Hardware: TMACAddress;`
`Source_Protocol: TIPv4Address;`
`Destination_Hardware: TMACAddress;`
`Destination_Protocol: TIPv4Address;`

## Description

### Fields

`Hardware_Type: uint16;`

`Protocol_Type: uint16;`

`Hardware_Address_Length: uint8;`

`Protocol_Address_Length: uint8;`

`Operation: uint16;`

`Source_Hardware: TMACAddress;`

`Source_Protocol: TIPv4Address;`

`Destination_Hardware: TMACAddress;`

`Destination_Protocol: TIPv4Address;`

Generated by PasDoc 0.15.0.